#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:inter_cluster_comm_link_health_check_interval, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  If the cluster link between two clusters goes down, a trigger will run periodically to see if the link is restored. The duration is specified in milliseconds. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         inter_cluster_comm_link_health_check_interval => '30000'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:inter_cluster_comm_link_health_check_interval']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('InterClusterCommLinkHealthCheckInterval')
end
