#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:member_warmup_timeout_seconds, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Maximum number of seconds that a cluster member will wait to discover and synchronize with other servers in the cluster. Normally, the member will be able to sync in 30 seconds. If the value of this attribute is higher, that does not necessarily mean that it will take longer for the member to warmup. Instead it defines an upper bound on the time that a server will wait to sync with the servers that it has discovered. If the value is set 0, servers will not attempt to discover other running server in the cluster during server initialization 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         member_warmup_timeout_seconds => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:member_warmup_timeout_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MemberWarmupTimeoutSeconds')
end
