#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:replication_channel, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The channel name to be used for replication traffic. Cluster infrastructure uses this channel to send updates for HTTP sessions and stateful session beans. If none is set then the default channel will be used.  In order for this feature to work, the named channel must exist on all members of the cluster and must be configured to use the same protocol. It is valid for the selected channel to be configured to use a secure protocol. 

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         replication_channel => 'ReplicationChannel'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:replication_channel']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ReplicationChannel')
end
