#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unicastaddress, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::IPFQDN

  desc <<-EOD
  The IP address for the cluster unicast listener. This attribute may be used to override the value of the referenced Coherence cluster. 

  Here is an example on using the unicast address on a coherence cluster. You can use an ip address like this:

      wls_coherence_cluster{'my_coherence_cluster':
        ...
        unicastaddress => '10.10.10.30',
        ...
      }

  or use a host name like this:

      wls_coherence_cluster { 'aCluster':
        ...
        unicastaddress => 'myhost.exaqmple.com',
        ...
      }

  EOD

  maps_to('UnicastListenAddress')

end
