#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:pool_jdbcxa_debug_level, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Specifies level of JDBC debugging for XA drivers, where larger values in the range provide more debugging information.  

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         pool_jdbcxa_debug_level => '10'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:pool_jdbcxa_debug_level']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/JDBCXADebugLevel')
end
