#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:xa_transaction_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The number of seconds to set as the transaction branch timeout.  If set, this value is passed as the transaction timeout value in the <code>XAResource.setTransactionTimeout()</code> call on the XA resource manager, typically the JDBC driver.   When this value is set to <code>0</code>, the WebLogic Server Transaction Manager passes the global WebLogic Server transaction timeout in seconds in the method.  If set, this value should be greater than or equal to the global WebLogic Server transaction timeout.  Note: You must enable XaSetTransactionTimeout to enable setting the transaction branch timeout. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         xa_transaction_timeout => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_datasource:xa_transaction_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCXAParams/%{datasource_name}/XaTransactionTimeout')
end
