#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:initsql, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  SQL statement to execute that will initialize newly created physical database connections. Start the statement with SQL followed by a space.  If the Init SQL value begins with <code>"SQL "</code>, then the rest of the string following that leading token will be taken as a literal SQL statement that will be used to initialize database connections. If the Init SQL value does not begin with "SQL ", the value will be treated as the name of a table and the following SQL statement will be used to initialize connections: <code><br clear="none" /> "select count(*) from InitSQL"</code>  The table <code>InitSQL</code> must exist and be accessible to the database user for the connection. Most database servers optimize this SQL to avoid a table scan, but it is still a good idea to set <code>InitSQL</code> to the name of a table that is known to have few rows, or even no rows. 

  An example on how to use this:

      wls_datasource {a_wls_datasource :
         ...
         initsql => 'sqlstatement'
         ...
      }

  EOD

  maps_to('JDBCResource/%{datasource_name}/JDBCConnectionPoolParams/%{datasource_name}/InitSql')

end
