#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:timeout) do
  include EasyType
  include EasyType::Types::Integer

  desc <<-EOD
  Timeout for deploying and undeploying a deployment

  With this parameter, you can specify the length of the timeout. The value is specified in seconds. In
  this example, the `timeout`  is set to `600`  seconds.

      wls_deployment{'my_deployment':
        ...
        timeout => 600,
      }

  The default value for `timeout` is 120 seconds.

  EOD
  defaultto(600)

end
