#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:archive_configuration_count, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  

  desc <<-EOD
  The number of archival versions of <tt>config.xml</tt> saved by the Administration Server each time the domain configuration is modified. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         archive_configuration_count => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:archive_configuration_count']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ArchiveConfigurationCount')
end
