#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jta_shutdown_grace_period, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  

  desc <<-EOD
  Indicates how long the server should wait for active transactions to complete before allowing shutdown. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         jta_shutdown_grace_period => '180'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:jta_shutdown_grace_period']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JTA/%{domain_name}/ShutdownGracePeriod')
end
