#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_format_compatibility_enabled, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Configures whether log messages will be logged in legacy format without supplemental attributes. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         log_format_compatibility_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:log_format_compatibility_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('LogFormatCompatibilityEnabled')
end
