#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:security_connection_filter, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
  The name of the Java class that implements a connection filter (that is, the <tt>weblogic.security.net.ConnectionFilter</tt> interface). If no class name is specified, no connection filter will be used.   This attribute replaces the deprecated ConnectionFilter attribute on the SecurityMBean. 

  An example on how to use this:

      wls_domain {a_wls_domain :
         ...
         security_connection_filter => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain:security_connection_filter']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SecurityConfiguration/%{domain_name}/ConnectionFilter')
end
