#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:primary_identity_domain, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The partition's primary identity domain. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         primary_identity_domain => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:primary_identity_domain']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PrimaryIdentityDomain')
end
