#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:resource_deployment_plan, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The contents of this resource's deployment plan, returned as a byte[] containing the XML. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         resource_deployment_plan => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:resource_deployment_plan']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ResourceDeploymentPlan')
end
