#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:systemfs_create_on_demand, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
  Specifies whether the file system should be created on-demand when the partition is first started. 

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         systemfs_create_on_demand => 1,
         ...
      }
  EOD

  maps_to('SystemFileSystem/%{domain_partition_name}/CreateOnDemand')
end
