#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:remote_jndi_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The foreign JNDI name. 

  An example on how to use this:

      wls_foreign_jndi_provider_link {a_wls_foreign_jndi_provider_link :
         ...
         remote_jndi_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_foreign_jndi_provider_link:remote_jndi_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('RemoteJNDIName')
end
