#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:distributed) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc 'Distributed Topic'

  defaultto 0

  on_modify do
    fail 'You cannot change the distributed property of a topic. You\'ll have to recreate it'
  end

  to_translate_to_resource do |raw_resource|
    case raw_resource[:object_type]
    when 'Topics' then 0
    when 'UniformDistributedTopics' then 1
    else
      fail 'Invalid topic type'
    end
  end
end
