#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:thresholds_messages_high, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The upper threshold (total number of messages in this destination) that triggers logging or flow control events. The value of java.lang.Long.MAX_VALUE disables logging and flow control events for the destination.  If the number of messages exceeds this threshold, the triggered events are:  <ul> <li> Log Messages  A message is logged on the server indicating a high threshold condition. </li>  <li> Flow Control  If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow. </li> </ul>  Range of Values: &lt;= MessagesMaximum; &gt;MessagesThresholdLow  Any change to this threshold affects only incoming messages; stored messages are not affected.

  An example on how to use this:

      wls_jms_topic {a_wls_jms_topic :
         ...
         thresholds_messages_high => '9223372036854775807'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_topic:thresholds_messages_high']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('Thresholds/%{topic_name}/MessagesHigh')
end
