#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:messages_threshold_low, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The lower threshold (number of messages stored in this JMS server) that triggers flow control and logging events. A value of <code>-1</code> disables the events for this JMS server.  If the number of messages falls below this threshold, the triggered events are: <ul> <li> <code>Log Messages</code> - A message is logged on the server indicating that the threshold condition has cleared. </li> <li> <code>Flow Control</code> - If flow control is enabled, the JMS server becomes disarmed and instructs producers to begin increasing their message flow. </li> </ul>  Note: This attribute is dynamically configurable.  Range of Values: &lt;= MessagesThresholdHigh 

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         messages_threshold_low => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:messages_threshold_low']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MessagesThresholdLow')
end
