#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:paging_min_window_buffer_size, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The minimum amount of data, in bytes and rounded down to the nearest power of 2, mapped into the JVM's address space per paging store file.  Applies only when a native <code>wlfileio</code> library is loaded. See <a href='#getPagingMaxWindowBufferSize'>Paging Maximum Window Buffer Size</a>.

  An example on how to use this:

      wls_jmsserver {a_wls_jmsserver :
         ...
         paging_min_window_buffer_size => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jmsserver:paging_min_window_buffer_size']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PagingMinWindowBufferSize')
end
