newproperty(:deployment_order, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer


  desc <<-EOD
  A priority that the server uses to determine when it deploys an item. The priority is relative to other deployable items of the same type.  For example, the server prioritizes and deploys all EJBs before it prioritizes and deploys startup classes.  Items with the lowest Deployment Order value are deployed first. There is no guarantee on the order of deployments with equal Deployment Order values. There is no guarantee of ordering across clusters. 

  An example on how to use this:

      wls_managed_executor_service_template {a_wls_managed_executor_service_template :
         ...
         deployment_order => '1000'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DeploymentOrder')
end
