#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:partial_cluster_stability_delay_seconds, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Specifies the amount of time, in seconds, to delay before a partially started cluster starts all cluster targeted JMS artifact instances that are configured with a Migration Policy of <code>Always</code> or <code>On-Failure</code>.   Before this timeout expires or all servers are running, a cluster starts a subset of such instances based on the total number of servers running and the configured cluster size. Once the timeout expires or all servers have started, the system considers the cluster stable and starts any remaining services.  This delay ensures that services are balanced across a cluster even if the servers are started sequentially. It is ignored once a cluster is fully started (stable) or when individual servers are started.  <ul> <li>A value > <code>0</code> specifies the time, in seconds, to delay before a partially started cluster starts dynamically configured services.</li> <li>A value of <code>0</code> specifies no delay.</li> <li>A value of <code>-1</code> specifies a default delay value of 240 seconds.</li> </ul> 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         partial_cluster_stability_delay_seconds => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:partial_cluster_stability_delay_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PartialClusterStabilityDelaySeconds')
end
