#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:target_destination, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The target destination where a messaging bridge instance sends the messages it receives from the source destination. 

  An example on how to use this:

      wls_messaging_bridge {a_wls_messaging_bridge :
         ...
         target_destination => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_messaging_bridge:target_destination']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('TargetDestination')
end
