#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_format, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies how information is logged when <code>Policy</code> is set to <code>Log</code>.  Any change to this parameter affects only incoming messages; stored messages are not affected. 

  An example on how to use this:

      wls_saf_error_handler {a_wls_saf_error_handler :
         ...
         log_format => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_error_handler:log_format']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('LogFormat')
end
