#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:use_saf_time_to_live_default, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Controls whether the Time-to-Live (expiration time) value set on imported JMS messages will be overridden by the value specified in the <code>SAF Default Time-to-Live</code> field.  Any change to this parameter affects only incoming messages; stored messages are not affected. 

  An example on how to use this:

      wls_saf_imported_destination {a_wls_saf_imported_destination :
         ...
         use_saf_time_to_live_default => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_imported_destination:use_saf_time_to_live_default']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('UseSAFTimeToLiveDefault')
end
