#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:conversation_idle_time_maximum, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum amount of time allowed before a sending side releases the resources used by a conversation.  <ul> <li> If there is no activity for a conversation for the specified amount of time, the sending agent releases all resources for that conversation and notifies the receiving agent to do the same. </li>  <li> A value of <code>0</code> specifies that resources for a conversation are not released unless the application explicitly closes the conversation. </li>  <li> Updating <code>ConversationIdleTimeMaximum</code> causes connections starting after the update to use the new value. </li> </ul> 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         conversation_idle_time_maximum => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:conversation_idle_time_maximum']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ConversationIdleTimeMaximum')
end
