#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:service_type, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The type of service that this SAF agent provides. JMS requires only a Sending agent on the sending side for messages. Whereas, Web Services Reliable Messaging requires both a Sending and Receiving agent for messages. <ul> <li>Sending-only Configures an agent that stores messages in persistent storage, forwards messages to the receiving side, and re-transmits messages when acknowledgements do not come back in time. <li>Receiving-only Configures an agent that detects and eliminates duplicate messages sent by a receiving agent, and delivers messages to the final destination. <li>Both Configures an agent that has sending and receiving agent functionality. </ul> 

  An example on how to use this:

      wls_safagent {a_wls_safagent :
         ...
         service_type => 'Both'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_safagent:service_type']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ServiceType')
end
