newproperty(:deployable_provider_synchronization_timeout, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-EOD
  Returns the timeout value, in milliseconds, for the deployable security provider synchronization operation. This value is only used if <code>DeployableProviderSynchronizationEnabled</code> is set to <code>true</code> 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         deployable_provider_synchronization_timeout => 60000,
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('DeployableProviderSynchronizationTimeout')
end
