newproperty(:identity_assertion_header_name_precedence, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Obtain an ordered list of token type names used for Identity Assertion with HTTP request headers.  The list determines the precedence order when multiple HTTP headers are present in an HTTP request based on the list of active token types maintained on the configured Authentication providers. 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         identity_assertion_header_name_precedence => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_security_realm:identity_assertion_header_name_precedence']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('IdentityAssertionHeaderNamePrecedence')
end
