newproperty(:password_validator_types, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns the types of Password Validator providers that may be created in this security realm, for example, <code>com.bea.security.providers.authentication.passwordvalidator.SystemPasswordValidator</code>. Use this method to find the available types to pass to <code>createPasswordValidator</code> 

  An example on how to use this:

      wls_security_realm {a_wls_security_realm :
         ...
         password_validator_types => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_security_realm:password_validator_types']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('PasswordValidatorTypes')
end
