#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:customidentitykeystorepassphraseencrypted, :parent => Puppet::Parameter::WlsEncryptedProperty) do

  desc <<-EOD
  Returns encrypted pass phrase defined when creating the keystore. 

  An example on how to use this:

      ...{...:
         ...
         customidentitykeystorepassphraseencrypted => None
         ...
      }

  Help text generated from MBEan text.

  EOD

  maps_to('CustomIdentityKeyStorePassPhraseEncrypted')
end
