#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:external_dns_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The external IP address or DNS name for this server.  This address will be sent with HTTP session cookies and with dynamic server lists to HTTP proxies. It will also be used by external application clients to enable the propagation of RMI traffic through network address translating (NAT) firewalls.  You must specify an external DNS name for configurations in which a firewall is performing network address translation, unless clients are accessing WebLogic Server using t3 and the default channel. For example, define the external DNS name for configurations in which a firewall is performing network address translation, and clients are accessing WebLogic Server using HTTP via a proxy plug-in. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         external_dns_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:external_dns_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('ExternalDNSName')
end
