#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:java_compiler, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The Java compiler to use for all applications hosted on this server that need to compile Java code. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         java_compiler => 'javac'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:java_compiler']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('JavaCompiler')
end
