#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_peer_validation_enforced, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
   

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_peer_validation_enforced => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_peer_validation_enforced']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{server_name}/PeerValidationEnforced') {}
end
