#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_server_certificate_file_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The full directory location of the digital certificate file (<code>.der</code> or <code>.pem</code>) for the server.  The pathname should either be absolute or relative to the directory from which the server is booted. This field provides backward compatibility for security configurations that stored digital certificates in files.  The file extension ( <code>.der</code> or <code>.pem</code>) tells WebLogic Server how to read the contents of the file. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_server_certificate_file_name => 'server-cert.der'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_server_certificate_file_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{server_name}/ServerCertificateFileName')
end
