#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_trusted_ca_file_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The full directory location of the file that specifies the certificate authorities trusted by the server.  The pathname should either be absolute or relative to the directory from which the server is booted. This field provides backward compatibility for security configurations that store trusted certificate authorities in files.  The file specified in this attribute can contain a single digital certificate or multiple digital certificates. The file extension ( <code>.der</code> or <code>.pem</code>) tells WebLogic Server how to read the contents of the file. 

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         ssl_trusted_ca_file_name => 'trusted-ca.pem'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:ssl_trusted_ca_file_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{server_name}/TrustedCAFileName')
end
