#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:http_enabled_for_this_protocol, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Specifies whether HTTP traffic should be allowed over this network channel.  HTTP is generally required by binary protocols for downloading stubs and other resources. 

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         http_enabled_for_this_protocol => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:http_enabled_for_this_protocol']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('HttpEnabledForThisProtocol')
end
