#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:complete_write_timeout, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of seconds that this server waits for a complete HTTP response to be sent.  A value of <code>0</code> disables the complete write timeout. The default value is derived from the CompleteHTTPMessageTimeout. If it is <tt>-1</tt>, then the CompleteMessageTimeout value is used for the default value. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         complete_write_timeout => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:complete_write_timeout']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('CompleteWriteTimeout')
end
