#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:httpd_enabled, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Whether or not HTTP support is enabled on the regular port or SSL port. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         httpd_enabled => 1,
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:httpd_enabled']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  maps_to('HttpdEnabled')
end
