#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_open_sock_count, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  The maximum number of open sockets allowed in server at a given point of time.  When the maximum threshold is reached, the server stops accepting new requests until the number of sockets drops below the threshold.  A value less than <code>0</code> indicates an unlimited size. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         max_open_sock_count => '-1'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:max_open_sock_count']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxOpenSockCount')
end
