#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssl_server_certificate_chain_file_name, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The full directory location and name of the file containing an ordered list of certificate authorities trusted by WebLogic Server.  The <code>.pem</code> file extension indicates that method that should be used to read the file. Note that as of WebLogic Server version 7.0, the digital certificate for WebLogic Server should not be stored in a file. 

  An example on how to use this:

      wls_server_template {a_wls_server_template :
         ...
         ssl_server_certificate_chain_file_name => 'server-certchain.pem'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_template:ssl_server_certificate_chain_file_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('SSL/%{template_name}/ServerCertificateChainFileName')
end
