#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:user_preferred_server, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  Returns the server that the user prefers the singleton service to be active on. 

  An example on how to use this:

      wls_singleton_service {a_wls_singleton_service :
         ...
         user_preferred_server => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_singleton_service:user_preferred_server']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('UserPreferredServer')
end
