#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_buffer_size_kb, :parent => Puppet::Parameter::WlsProperty) do
  

  desc <<-EOD
  Gets the underlying log buffer size in kilobytes 

  An example on how to use this:

      wls_virtual_host {a_wls_virtual_host :
         ...
         log_buffer_size_kb => '8'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_virtual_host:log_buffer_size_kb']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('WebServerLog/%{virtual_host_name}/BufferSizeKB')
end
