#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:max_threads_constraint, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The maximum number of concurrent threads that can be allocated to execute requests. 

  An example on how to use this:

      wls_workmanager {a_wls_workmanager :
         ...
         max_threads_constraint => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_workmanager:max_threads_constraint']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  EOD

  maps_to('MaxThreadsConstraint')
end
